StringArray Class Reference
Collaboration diagram for StringArray:
[legend]

## Public Member Functions

| StringArray (int startsize=0)
| StringArray (StringArray &original)
void | Read (FILE *f)
void | Write (FILE *f)
void | WriteLine (FILE *f)
void | Read (const char *filename)
void | Write (const char *filename)
void | WriteLine (const char *filename)
void | Read (IFILE &f)
void | Print ()
void | PrintLine ()
void | Print (FILE *f)
void | PrintLine (FILE *f)
void | Grow (int newsize)
void | Clear ()
int | Length () const
int | Dimension (int newcount)
int | CharLength ()
String & | operator[] (int i)
const String & | operator[] (int i) const
int | AddColumns (const String &s, char ch='\t')
int | AddColumns (const String &s, char ch, int maxColumns)
int | AddTokens (const String &s, char ch)
int | AddTokens (const String &s, const String &separators=" \t\r\n")
int | ReplaceColumns (const String &s, char ch='\t')
int | ReplaceTokens (const String &s, const String &separators=" \t\r\n")
int | Add (const String &s)
void | InsertAt (int position, const String &s)
void | Delete (int position)
String & | Last () const
int | Push (const String &s)
String | Pop ()
int | Find (const String &s) const
int | FastFind (const String &s) const
int | SlowFind (const String &s) const
void | Sort ()
void | Trim ()
StringArray & | operator= (const StringArray &rhs)
bool | operator== (const StringArray &rhs) const
bool | operator!= (const StringArray &rhs) const
void | Swap (StringArray &s)

## Static Public Attributes

static int | alloc = 32
static bool | lazyMemoryManagement = false

## Protected Attributes

String ** | strings
int | size
int | count

## Detailed Description

Definition at line 23 of file StringArray.h.

The documentation for this class was generated from the following files:

- general/StringArray.h
- general/StringArray.cpp